<ui:composition template="../template/common/default.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">
	<ui:define name="titlePages">
		<span>TESTING.</span>	
	</ui:define>
	<ui:define name="urlNavegacion">
		<li class="active"><a href="http://www.bnp.gob.pe/"> <b>BNP</b></a></li>
		<li>Inicio</li>
	</ui:define>
	<ui:define name="content">
		<h:form id="frmIrFormarto">
			<div class="row text-center">
			      	<h:outputLabel 	for="Mensaje" value="Mensaje: " styleClass="control-label"></h:outputLabel>                                        
			      	<p:inputText  value="#{testingMB.mensaje}" id="Mensaje" maxlength="20" required="false" styleClass="form-control" tabindex="1"/>							
			</div>
			<p:separator />
			<div class="row text-center">
			      	<h:outputLabel 	for="IpRed" value="IP Impresora Red: " styleClass="control-label"></h:outputLabel>                                        
			      	<p:inputText  value="#{testingMB.ipRed}" id="IpRed" maxlength="20" required="false" styleClass="form-control" tabindex="1"/>							
			      	<h:outputLabel 	for="Puerto" value="Puerto: " styleClass="control-label"></h:outputLabel>                                        
			      	<p:inputText  value="#{testingMB.puerto}" id="Puerto" maxlength="10" required="false" styleClass="form-control" tabindex="1"/>							
					<p:commandButton value="Imprimir x red" action="#{testingMB.testImpresionRed}"/>
			</div>
			<p:separator />
			<div class="row text-center">
			      	<h:outputLabel 	for="impresoraUSB" value="Nombre de Impresora: " styleClass="control-label"></h:outputLabel>                                        
			      	<p:inputText  value="#{testingMB.impresoraUSB}" id="impresoraUSB" maxlength="200" required="false" styleClass="form-control" tabindex="1"/>							
					<p:commandButton value="Imprimir x usb" action="#{testingMB.testImpresionUSB}"/>
			</div>
		</h:form>
	</ui:define>
</ui:composition>